Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Class XMLJUnitResultFormatter

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter

All Implemented Interfaces:
  JUnitResultFormatter, junit.framework.TestListener, XMLConstants

public class XMLJUnitResultFormatter
extends java.lang.Object
implements JUnitResultFormatter, XMLConstants

Prints XML output of the test to a specified Writer.

Author:
  Stefan Bodewig

Fields inherited from interface org.apache.tools.ant.taskdefs.optional.junit.XMLConstants
`ATTR_ERRORS, ATTR_FAILURES, ATTR_MESSAGE, ATTR_NAME, ATTR_PACKAGE, ATTR_TESTS, ATTR_TIME, ATTR_TYPE, ERROR, FAILURE, TESTCASE, TESTSUITE, TESTSUITES`

Constructor Summary
`XMLJUnitResultFormatter()`

Method Summary
`void` | `addError(junit.framework.Test test, java.lang.Throwable t)` Interface TestListener.
`void` | `addFailure(junit.framework.Test test, junit.framework.AssertionFailedError t)` Interface TestListener for JUnit > 3.4.
`void` | `addFailure(junit.framework.Test test, java.lang.Throwable t)` Interface TestListener for JUnit <= 3.4.
`void` | `endTest(junit.framework.Test test)` Interface TestListener.
`void` | `endTestSuite(JUnitTest suite)` The whole testsuite ended.
`void` | `setOutput(java.io.OutputStream out)` Sets the stream the formatter is supposed to write its results to.
`void` | `startTest(junit.framework.Test t)` Interface TestListener.
`void` | `startTestSuite(JUnitTest suite)` The whole testsuite started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLJUnitResultFormatter

    public XMLJUnitResultFormatter()

Method Detail

### setOutput

    public void setOutput(java.io.OutputStream out)

  Description copied from interface: `JUnitResultFormatter`
  Sets the stream the formatter is supposed to write its results to.
  Specified by:
    `setOutput` in interface `JUnitResultFormatter`

### startTestSuite

    public void startTestSuite(JUnitTest suite)

  The whole testsuite started.
  Specified by:
    `startTestSuite` in interface `JUnitResultFormatter`

### endTestSuite

    public void endTestSuite(JUnitTest suite)
                      throws BuildException

  The whole testsuite ended.
  Specified by:
    `endTestSuite` in interface `JUnitResultFormatter`

### startTest

    public void startTest(junit.framework.Test t)

  Interface TestListener.

  A new Test is started.

  Specified by:
    `startTest` in interface `junit.framework.TestListener`

### endTest

    public void endTest(junit.framework.Test test)

  Interface TestListener.

  A Test is finished.

  Specified by:
    `endTest` in interface `junit.framework.TestListener`

### addFailure

    public void addFailure(junit.framework.Test test,
                           java.lang.Throwable t)

  Interface TestListener for JUnit <= 3.4.

  A Test failed.

  Specified by:
    `addFailure` in interface `junit.framework.TestListener`

### addFailure

    public void addFailure(junit.framework.Test test,
                           junit.framework.AssertionFailedError t)

  Interface TestListener for JUnit > 3.4.

  A Test failed.

### addError

    public void addError(junit.framework.Test test,
                         java.lang.Throwable t)

  Interface TestListener.

  An error occured while running the test.

  Specified by:
    `addError` in interface `junit.framework.TestListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.